@import url(https://fonts.googleapis.com/css?family=Oswald:300,400,700);
@import url(https://fonts.googleapis.com/css?family=Source+Sans+Pro:200,300,400,600,700,900,200italic,300italic,400italic,600italic,700italic,900italic);

@media (max-width: 768px) {
  .table-responsive {
      overflow-x: auto; /* Stellt sicher, dass die Tabelle scrollbar bleibt */
  }
  th, td {
      white-space: nowrap; /* Verhindert, dass Text in neue Zeilen umbricht */
  }
}


body {
  font-family: 'Oswald', sans-serif;
  font-weight:200;
  /* text-transform: uppercase; */
}

:root {
  --bs-dblau: #254461;
  --bs-gelb: #e0df00;
  --bs-orange: #f6b900;
  --bs-blau: #4257e0;
  --bs-braun: #663e4a;
  --bs-rot: #e14e26;
  --bs-grau: #e4e9eea1;
  --bs-grün: #27be34;
  --btn-border-radius: 4px;
  --btn-border-style: solid;
  --btn-border-width: thin;
  --btn-margin: 2px;
  --btn-margin-small: 1px;
  --accordion-border-style: solid;
  --accordion-border-width: thin;
}

/* #########  KOMPAKTE FOOTER BUTTONS  ######### */

/* Buttons kompakter */
.navbar .nav-link {
  padding: 0.3rem 0.5rem;
  font-size: 0.85rem;
}

/* Dropup bei fester Fußleiste */
.dropup .dropdown-menu {
  bottom: 100%;
  top: auto;
  margin-bottom: 0.5rem;
}

/* #########  EIGENE FARBEN  ######### */

.text-gelb {
  color: var(--bs-gelb) !important;
}

.text-dblau {
  color: var(--bs-dblau) !important;
}

.bg-gelb {
  background-color: var(--bs-gelb) !important;
}

.bg-grau {
  background-color: var(--bs-grau) !important;
}

.text-rot {
  color: var(--bs-rot) !important;
}

.bg-braun {
  background-color: var(--bs-braun) !important;
}

.bg-rot {
  background-color: var(--bs-rot) !important;
}
.btn-rot-dark {
  background-color: var(--bs-rot) !important;
  border-style: var(--btn-border-style) !important;
  border-color: var(--bs-rot) !important;
  border-width: var(--btn-border-width);
  margin: var(--btn-margin-small);
  border-radius: var(--btn-border-radius);
}
.btn-rot-dark:hover {
  background-color: var(--bs-grün) !important;
  color: var(--bs-rot) !important;
  border-style: var(--btn-border-style) !important;
  border-color: var(--bs-grün) !important;
  border-width: var(--btn-border-width);
  margin: var(--btn-margin-small);
  border-radius: var(--btn-border-radius);
}

.bg-blau {
  background-color: var(--bs-blau);
}

.bg-dblau {
  background-color: var(--bs-dblau);
}

.bg-bronze {
  background-color: rgb(184, 122, 7) !important;
}
.bg-silber {
  background-color: rgb(224, 222, 211) !important;
}
.bg-gold {
  background-color: rgb(255, 224, 85) !important;
}

.btn-dblau-nav {
  background-color: var(--bs-dblau);
  color: var(--bs-gelb) !important;
  border-style: solid !important;
  border-color: var(--bs-gelb) !important;
  border-width: thin;
  margin: 2px;
  border-radius: 4px;
}
.nav-link.gelb{
    color: var(--bs-gelb) !important;
}
.navbar-toggler.gelb{
    color: var(--bs-gelb) !important;
    border-color: var(--bs-gelb) !important;
}
.bg-orange {
  background-color: var(--bs-orange);
}

.btn-gelb {
  background-color: var(--bs-gelb);
  border-radius: 4px;
}
.btn-gelb:hover {
  background-color: var(--bs-dblau);
  color: var(--bs-gelb);
  border-color: var(--bs-gelb);
}
.btn-gelb-dark {
  background-color: var(--bs-gelb);
  border-style: solid !important;
  border-color: var(--bs-gelb) !important;
  border-width: thin;
  margin: 2px;
}
.btn-gelb-dark:hover {
  background-color: var(--bs-dblau);
  color: var(--bs-gelb) !important;
  border-style: solid !important;
  border-color: var(--bs-gelb) !important;
  border-width: thin;
  margin: 2px;
}

.btn-braun {
  background-color: var(--bs-braun);
  color: white;
  border-radius: 4px;
}

.btn-orange {
  background-color: var(--bs-orange);
  border-radius: 4px;
}

.btn-rot {
  background-color: var(--bs-rot);
  border-radius: 4px;
}

.btn-blau {
  background-color: var(--bs-blau);
  border-radius: 4px;
}

.btn-dblau {
  background-color: var(--bs-dblau);
  color: var(--bs-gelb);
  border-radius: 4px;
}
.btn-dblau:hover {
  background-color: var(--bs-gelb);
  color: var(--bs-dblau);
}

.border-gelb-top {
  background-color: var(--bs-gelb); /* Gelb */
  height: 5px; /* Dicke der Linie */
  padding-top: 83px;
}

.border-gelb {
  border: solid var(--bs-gelb) !important;
}

.border-braun {
  border: solid var(--bs-braun) !important;
}

.border-rot {
  border: solid var(--bs-rot) !important;
}

.border-dblau {
  border: solid var(--bs-dblau) !important;
}

.fixed-top-gelb {
  position: fixed;
  top: 0;
  right: 0;
  left: 0;
  z-index: 1020;
}

.text-uppercase  { text-transform: uppercase !important; }

.table-dblau {
  --bs-table-bg: var(--bs-dblau);
  --bs-table-striped-bg: #c5d7f2;
  --bs-table-striped-color: #000;
  --bs-table-active-bg: #bacbe6;
  --bs-table-active-color: #000;
  --bs-table-hover-bg: #bfd1ec;
  --bs-table-hover-color: #000;
  color: var(--bs-gelb) !important;
  border-color: var(--bs-dblau);
}

.table-gelb {
  --bs-table-bg: var(--bs-gelb);
  --bs-table-striped-bg: #f2f1c5;
  --bs-table-striped-color: #000;
  --bs-table-active-bg: #e6e5ba;
  --bs-table-active-color: #000;
  --bs-table-hover-bg: #ecedbf;
  --bs-table-hover-color: #000;
  color: var(--bs-dblau) !important;
  border-color: var(--bs-gelb);
}

/* select2 an Bootstrap anpassen */
  .select2-container--default .select2-selection--single {
    background-color: #fff;
    border: 1px solid var(--bs-border-color) !important;
    border-radius: 4px;
    /* margin: 10px; */
    padding: 3px !important;
    height: 36px !important;
  }

  .select2-container--default .select2-selection--single {
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: var(--bs-body-color);
  }
/* select2 an Bootstrap anpassen */

/* FAQ Accordion Farben */
  /* Wenn geschlossen (collapsed) */
  .accordion-button.gelb.collapsed {
    color: var(--bs-gelb);
    background-color: var(--bs-dblau);
    border-color: var(--bs-gelb);
  }

  /* Wenn geöffnet */
  .accordion-button.gelb:not(.collapsed) {
    color: var(--bs-dblau);
    background-color: var(--bs-gelb);
    border-color: var(--bs-dblau);
  }
  .accordion-button.gelb {
    color: var(--bs-gelb);
    background-color: var(--bs-dblau);
    box-shadow: unset;
    border-color: var(--bs-gelb);
    border-style: solid;
    border-width: thin;
  }
  .accordion-button::after {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='%23e0df00' class='bi bi-plus' viewBox='0 0 16 16'%3E%3Cpath d='M8 4a.5.5 0 0 1 .5.5v3h3a.5.5 0 0 1 0 1h-3v3a.5.5 0 0 1-1 0v-3h-3a.5.5 0 0 1 0-1h3v-3A.5.5 0 0 1 8 4z'/%3E%3C/svg%3E");
    transition: all 0.5s;
  }
  .accordion-button:not(.collapsed)::after {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='%23254461' class='bi bi-dash' viewBox='0 0 16 16'%3E%3Cpath d='M4 8a.5.5 0 0 1 .5-.5h7a.5.5 0 0 1 0 1h-7A.5.5 0 0 1 4 8z'/%3E%3C/svg%3E");
  }
/* FAQ Accordion Farben */
